Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000767Core InformUnderstandingpublic2011-10-03 08:092014-05-07 07:34
ReporterRon Newcomb 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformPPCOSMac OS XOS Version10.4
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000767: Topics in phrases compile to broken code
DescriptionWhen a topic is created from a phrase, the resulting I6 code is broken. In the example below, the auto-generated Consult_Grammer for "After reading a command when the player's command includes..." correctly reads:

        if (NextWordStopped() ~= 'male') jump group_154_1_2;
        jump group_154_1_end;
        .group_154_1_2; wn = group_wn;
        if (NextWordStopped() ~= 'guy') jump group_154_1_3;
        jump group_154_1_end;
        .group_154_1_3; wn = group_wn;
        if (NextWordStopped() ~= 'he') jump group_154_1_4;
        jump group_154_1_end;
        .group_154_1_4; wn = group_wn;
        if (NextWordStopped() ~= 'man') jump Fail_1;
        .group_154_1_end;

But the Consult_Grammar for the same topic when created in the if-phrase reads:

        if (NextWordStopped() ~= 'male') jump Fail_1;
        if (NextWordStopped() ~= '@{2F}//') jump Fail_1;
        if (NextWordStopped() ~= 'guy') jump Fail_1;
        if (NextWordStopped() ~= '@{2F}//') jump Fail_1;
        if (NextWordStopped() ~= 'he') jump Fail_1;
        if (NextWordStopped() ~= '@{2F}//') jump Fail_1;
        if (NextWordStopped() ~= 'man') jump Fail_1;

...which can only succeed if the player types every word in the topic, in that order, slashes included.
Minimal Source Text To Reproduce
To decide if masculine: decide on whether or not the player's command includes "male/guy/he/man".


After reading a command when masculine, say "'masculine' triggered."

After reading a command when the player's command includes "male/guy/he/man", say "'if 
includes' triggered."

Additional Information>x he
if includes triggered.
You can't see any such thing.

>x guy
if includes triggered.
You can't see any such thing.

>he
if includes triggered.
That's not a verb I recognise.

>guy
if includes triggered.
That's not a verb I recognise.

>male/guy/he/man
That's not a verb I recognise.

>male / guy / he / man
"masculine" triggered.
if includes triggered.
That's not a verb I recognise.

>
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0002327)
graham (administrator)
2014-01-19 08:25

Fixed. A timing issue; the two conditions were being compiled at different times in Inform's run.

- Issue History
Date Modified Username Field Change
2011-10-03 08:09 Ron Newcomb New Issue
2011-10-03 12:35 EmacsUser Status new => confirmed
2014-01-19 08:25 graham Note Added: 0002327
2014-01-19 08:25 graham Status confirmed => resolved
2014-01-19 08:25 graham Resolution open => fixed
2014-01-19 08:25 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker